Package org.apache.sling.event.impl.jobs.scheduling

# Class JobScheduleBuilderImpl

java.lang.Object
org.apache.sling.event.impl.jobs.scheduling.JobScheduleBuilderImpl

All Implemented Interfaces:
  `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

public final class JobScheduleBuilderImpl extends Object implements org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder
The builder implementation for scheduled jobs.

## Constructor Summary

Constructors
Constructor
Description
`JobScheduleBuilderImpl(String topic, Map<String,Object> properties, String name, JobSchedulerImpl jobScheduler)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.event.jobs.ScheduledJobInfo`
`add()`
`org.apache.sling.event.jobs.ScheduledJobInfo`
`add(List<String> errors)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`at(Date date)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`cron(String expression)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`daily(int hour, int minute)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`hourly(int minute)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`monthly(int day, int hour, int minute)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`suspend()`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`weekly(int day, int hour, int minute)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`yearly(int month, int day, int hour, int minute)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JobScheduleBuilderImpl

public JobScheduleBuilderImpl(String topic, Map<String,Object> properties, String name, JobSchedulerImpl jobScheduler)

## Method Details

### weekly

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder weekly(int day, int hour, int minute)

Specified by:
  `weekly` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### daily

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder daily(int hour, int minute)

Specified by:
  `daily` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### hourly

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder hourly(int minute)

Specified by:
  `hourly` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### at

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder at(Date date)

Specified by:
  `at` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### monthly

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder monthly(int day, int hour, int minute)

Specified by:
  `monthly` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### yearly

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder yearly(int month, int day, int hour, int minute)

Specified by:
  `yearly` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### cron

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder cron(String expression)

Specified by:
  `cron` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### add

public org.apache.sling.event.jobs.ScheduledJobInfo add()

Specified by:
  `add` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### add

public org.apache.sling.event.jobs.ScheduledJobInfo add(List<String> errors)

Specified by:
  `add` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

### suspend

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder suspend()

Specified by:
  `suspend` in interface `org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`